# RPM specfile for panelmm module
# Generated Mon Jul 16 18:40:29 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.10 2001/07/13 19:03:10 thunder Exp $

%define nam	panelmm
%define ver	0.1

Name:     	panelmm
Version: 	0.1
Release:	ximian.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.2 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
Source0:	panelmm-0.1.tar.gz
Summary:	C++ bindings for the GNOME Panel
Group:		System Environment/Libraries

%description

C++ Lanugage bindings for the GNOME Panel libraries.


%files
%defattr(-, root, root)
%doc INSTALL NEWS README
/opt/gnome/lib/*.so.*


%package -n panelmm-devel
Summary:	C++ bindings for the GNOME Panel
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	gnomemm-devel

%description -n panelmm-devel

C++ Lanugage bindings for the GNOME Panel Libraries.


%files -n panelmm-devel
%defattr(-, root, root)
/opt/gnome/lib/*.so
/opt/gnome/lib/*.a
/opt/gnome/lib/*.la
/opt/gnome/lib/*.sh
/opt/gnome/include/


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n panelmm-0.1
    ;;
all)
%setup  -q -n panelmm-0.1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    autoconf; ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
